#ifndef SAVEFILE_H
#define SAVEFILE_H

#include <QObject>
#include <QPdfWriter>
#include <QImage>
#include <tiff.h>
#include <tiffio.h>
#include <FreeImage.h>
#include <QFile>
#include <QProcess>

class SaveFileBase : public QObject
{
    Q_OBJECT
public:
    explicit SaveFileBase(QObject *parent = nullptr);
    void saveFileOP(QString savePath,QImage *imgOP);
    bool imageSave(QImage *imgOP);
    void saveToPdf(QImage *img);
    int toUnicode(QString str);
    void setPdfSize(QPdfWriter *pdfWriter, QString size);
    void saveAsTiff(QImage image, QString file_name);

private:
    QString m_fileName;
    QList<QImage> m_tiffImageList;
    QStringList m_fileImages;
    QList<FIBITMAP*> m_filist;
    int m_pdfCount = 0;
    QStringList m_pdfName;
signals:

};

#endif // SAVEFILE_H
